document.addEventListener('DOMContentLoaded', function() {
            const mainBubble = document.getElementById('mainBubble');
            const speechBubble = document.getElementById('speechBubble');
            const expandedView = document.getElementById('expandedView');
            const closeButton = document.getElementById('closeButton');
            const plumberImage = document.getElementById('plumberImage');
            const chatBubble = document.getElementById('chatBubble');
            const heroCta = document.getElementById('heroCta');

            let isExpanded = false;

            function toggleExpanded() {
                isExpanded = !isExpanded;
                if (isExpanded) {
                    speechBubble.style.display = 'none';
                    expandedView.style.display = 'block';
                    //plumberImage.style.display = 'none';
                    closeButton.style.display = 'block';
                } else {
                    speechBubble.style.display = 'block';
                    expandedView.style.display = 'none';
                    plumberImage.style.display = 'block';
                    closeButton.style.display = 'none';
                }
            }

            mainBubble.addEventListener('click', toggleExpanded);
            closeButton.addEventListener('click', function(event) {
                event.stopPropagation();
                toggleExpanded();
            });
			
			// New scroll detection logic
            function checkScroll() {
                const heroCtaBottom = heroCta.getBoundingClientRect().bottom;
                if (heroCtaBottom < 0 && !chatBubble.classList.contains('show')) {
                    chatBubble.classList.add('show');
                } else if (heroCtaBottom >= 0 && chatBubble.classList.contains('show')) {
                    chatBubble.classList.remove('show');
                }
            }

            // Throttle function to limit how often the scroll event fires
            function throttle(func, limit) {
                let inThrottle;
                return function() {
                    const args = arguments;
                    const context = this;
                    if (!inThrottle) {
                        func.apply(context, args);
                        inThrottle = true;
                        setTimeout(() => inThrottle = false, limit);
                    }
                }
            }

            // Add scroll event listener with throttling
            window.addEventListener('scroll', throttle(checkScroll, 100));

            // Initial check in case the page is loaded scrolled down
            checkScroll();
        });
		
		
		