async function updateLocationInHeaders() {
        try {
            const response = await fetch('/geolocation_proxy.php');
            const data = await response.json();

            let locationOutput = 'Me';  // Default value

            if (data.status === 'success') {
                locationOutput = `${data.city}, ${data.region}`;
            }

            // Get all elements with the dynamic_location class
            const elements = document.querySelectorAll('.dynamic_location');

            elements.forEach(element => {
                // Append the location to the existing text
                element.textContent += ` in ${locationOutput}`;
            });

            console.log(`Location appended: ${locationOutput}`);
        } catch (error) {
            console.error('Error:', error);
            // In case of error, append 'Near Me'
            const elements = document.querySelectorAll('.dynamic_location');
            elements.forEach(element => {
                element.textContent += ' Near Me';
            });
            console.log('Location appended: Me (due to error)');
        }
    }

// Call the function to update the location
updateLocationInHeaders();