document.addEventListener('DOMContentLoaded', function() {
            const popup = document.querySelector('.mobile-popup');
            const heroCta = document.querySelector('.hero-cta');
            let popupShown = false;

            function checkScrollPosition() {
                if (window.innerWidth <= 768) {
                    const heroCtaPosition = heroCta.getBoundingClientRect().bottom;
                    if (heroCtaPosition < 0 && !popupShown) {
                        popup.style.display = 'block';
                        setTimeout(() => {
                            popup.classList.add('show');
                        }, 10);
                        popupShown = true;
                    } else if (heroCtaPosition >= 0 && popupShown) {
                        popup.classList.remove('show');
                        setTimeout(() => {
                            popup.style.display = 'none';
                        }, 300); // Wait for the transition to complete
                        popupShown = false;
                    }
                }
            }

            window.addEventListener('scroll', checkScrollPosition);
            window.addEventListener('resize', checkScrollPosition);
        });
		
		
		// Privacy Policy Popup functionality
        document.addEventListener('DOMContentLoaded', function() {
            const privacyLink = document.querySelector('a[href="privacy"]'); // Update this selector if needed
            const privacyPopup = document.getElementById('privacyPopup');
            const closePopup = document.querySelector('.close-popup');

            privacyLink.addEventListener('click', function(e) {
                e.preventDefault();
                privacyPopup.style.display = 'block';
                document.body.style.overflow = 'hidden'; // Prevent scrolling on the main page
            });

            closePopup.addEventListener('click', function() {
                privacyPopup.style.display = 'none';
                document.body.style.overflow = ''; // Re-enable scrolling on the main page
            });

            window.addEventListener('click', function(e) {
                if (e.target == privacyPopup) {
                    privacyPopup.style.display = 'none';
                    document.body.style.overflow = ''; // Re-enable scrolling on the main page
                }
            });
        });
		
		// Terms of Use Popup functionality
        document.addEventListener('DOMContentLoaded', function() {
            const privacyLink = document.querySelector('a[href="#privacy"]');
            const termsLink = document.querySelector('a[href="#terms"]');
            const privacyPopup = document.getElementById('privacyPopup');
            const termsPopup = document.getElementById('termsPopup');
            const closePopups = document.querySelectorAll('.close-popup');

            function showPopup(popup) {
                popup.style.display = 'block';
                document.body.style.overflow = 'hidden'; // Prevent scrolling on the main page
            }

            function hidePopup(popup) {
                popup.style.display = 'none';
                document.body.style.overflow = ''; // Re-enable scrolling on the main page
            }

            privacyLink.addEventListener('click', function(e) {
                e.preventDefault();
                showPopup(privacyPopup);
            });

            termsLink.addEventListener('click', function(e) {
                e.preventDefault();
                showPopup(termsPopup);
            });

            closePopups.forEach(function(closeButton) {
                closeButton.addEventListener('click', function() {
                    hidePopup(this.closest('.privacy-popup, .terms-popup'));
                });
            });

            window.addEventListener('click', function(e) {
                if (e.target.classList.contains('privacy-popup') || e.target.classList.contains('terms-popup')) {
                    hidePopup(e.target);
                }
            });
        });
		
		
   async function updateLocationInHeaders() {
        try {
            const response = await fetch('/geolocation_proxy.php');
            const data = await response.json();

            let locationOutput = 'Me';  // Default value

            if (data.status === 'success') {
                locationOutput = `${data.city}, ${data.region}`;
            }

            // Get all elements with the dynamic_location class
            const elements = document.querySelectorAll('.dynamic_location');

            elements.forEach(element => {
                // Append the location to the existing text
                element.textContent += ` near ${locationOutput}`;
            });

            console.log(`Location appended: ${locationOutput}`);
        } catch (error) {
            console.error('Error:', error);
            // In case of error, append 'Near Me'
            const elements = document.querySelectorAll('.dynamic_location');
            elements.forEach(element => {
                element.textContent += ' Near Me';
            });
            console.log('Location appended: Me (due to error)');
        }
    }

// Call the function to update the location
updateLocationInHeaders();